Source: globus-net-manager
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 pkg-config,
 libglobus-common-dev (>= 15.27),
 libglobus-xio-dev (>= 5),
 python3-dev
Build-Depends-Indep:
 doxygen
Standards-Version: 4.6.1
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/globus-net-manager
Vcs-Git: https://salsa.debian.org/ellert/globus-net-manager.git
Homepage: https://github.com/gridcf/gct/

Package: libglobus-net-manager0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libglobus-common0 (>= 15.27)
Description: Grid Community Toolkit - Network Manager Library
 The Grid Community Toolkit (GCT) is an open source software toolkit used for
 building grid systems and applications. It is a fork of the Globus Toolkit
 originally created by the Globus Alliance. It is supported by the Grid
 Community Forum (GridCF) that provides community-based support for core
 software packages in grid computing.
 .
 The libglobus-net-manager0 package contains:
 Network Manager Library
 .
 The Globus Network Manager Library is a plug-in point for network management
 tasks, such as:
  - selectively open ports in a firewall and allow these ports to be closed
    when transfers are complete
  - configure a virtual circuit based on a site policy and route traffic
    over this circuit
  - route network traffic related to a task over a particular network

Package: libglobus-net-manager-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libglobus-net-manager0 (= ${binary:Version}),
 ${misc:Depends},
 libglobus-common-dev (>= 15.27),
 libglobus-xio-dev (>= 5)
Suggests:
 libglobus-net-manager-doc (= ${source:Version})
Description: Grid Community Toolkit - Network Manager Library Development Files
 The Grid Community Toolkit (GCT) is an open source software toolkit used for
 building grid systems and applications. It is a fork of the Globus Toolkit
 originally created by the Globus Alliance. It is supported by the Grid
 Community Forum (GridCF) that provides community-based support for core
 software packages in grid computing.
 .
 The libglobus-net-manager-dev package contains:
 Network Manager Library Development Files

Package: libglobus-xio-net-manager-driver
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Grid Community Toolkit - Globus XIO Network Manager Driver
 The Grid Community Toolkit (GCT) is an open source software toolkit used for
 building grid systems and applications. It is a fork of the Globus Toolkit
 originally created by the Globus Alliance. It is supported by the Grid
 Community Forum (GridCF) that provides community-based support for core
 software packages in grid computing.
 .
 The libglobus-xio-net-manager-driver package contains:
 Globus XIO Network Manager Driver

Package: libglobus-xio-net-manager-driver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libglobus-xio-net-manager-driver (= ${binary:Version}),
 libglobus-net-manager-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Grid Community Toolkit - Globus XIO Network Manager Driver Development Files
 The Grid Community Toolkit (GCT) is an open source software toolkit used for
 building grid systems and applications. It is a fork of the Globus Toolkit
 originally created by the Globus Alliance. It is supported by the Grid
 Community Forum (GridCF) that provides community-based support for core
 software packages in grid computing.
 .
 The libglobus-xio-net-manager-driver-dev package contains:
 Globus XIO Network Manager Driver Development Files

Package: libglobus-net-manager-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Grid Community Toolkit - Network Manager Library Documentation Files
 The Grid Community Toolkit (GCT) is an open source software toolkit used for
 building grid systems and applications. It is a fork of the Globus Toolkit
 originally created by the Globus Alliance. It is supported by the Grid
 Community Forum (GridCF) that provides community-based support for core
 software packages in grid computing.
 .
 The libglobus-net-manager-doc package contains:
 Network Manager Library Documentation Files
